gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-exchange] branch master updated: add libasan to the


From: gnunet
Subject: [GNUnet-SVN] [taler-exchange] branch master updated: add libasan to the LD_PRELOAD path if it was in gnunet-config
Date: Sun, 15 Sep 2019 11:58:01 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new f552d0c8 add libasan to the LD_PRELOAD path if it was in gnunet-config
f552d0c8 is described below

commit f552d0c8fb2fee103c9d746cf84db537841887d8
Author: Christian Grothoff <address@hidden>
AuthorDate: Sun Sep 15 11:57:59 2019 +0200

    add libasan to the LD_PRELOAD path if it was in gnunet-config
---
 src/util/taler-config.in | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/src/util/taler-config.in b/src/util/taler-config.in
index 5c997688..beea2540 100644
--- a/src/util/taler-config.in
+++ b/src/util/taler-config.in
@@ -1,5 +1,7 @@
 #!/usr/bin/env bash
 
+set -eu
+
 if ! type gnunet-config >/dev/null; then
   echo "$0 needs gnunet-config to be installed"
   exit 1
@@ -8,5 +10,8 @@ fi
 # FIXME: not very portable ...
 # FIXME: should use "libdir" instead of prefix/lib, but somehow
 # the recursive expansion does not work ;-(.
-export LD_PRELOAD=@prefix@/lib/libtalerutil.so
+GC=`which gnunet-config`
+ASAN=""
+A=`ldd $GC | grep libasan` && ASAN=`echo $A | awk '{print $3 ":"}'`
+export LD_PRELOAD=${ASAN}${LD_PRELOAD:-}:@prefix@/lib/libtalerutil.so
 exec gnunet-config "$@"

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]